## redet 8.4

=== Makefile ===

BINDIR=/usr/local/bin
MANDIR=/usr/local/man/man1
NONBINDIR=/usr/share/Redet

install:	redet.tcl
		cp redet.tcl ${BINDIR}/redet
		cp redet.1 ${MANDIR}
		-mkdir -p ${NONBINDIR}
		-cp -r Manual ${NONBINDIR}
#		cp -r msgs ${BINDIR}

TAGS:	redet.tcl
	etags  --lang=none --regex='/proc[ \t]+\([^ \t]+\)/\1/' redet.tcl

=== Manual/Makefile ===
#This is for installing the manual separately from the rest of the program.
#It isn't necessary if you install the manual along with the program itself.

NONBINDIR=/usr/share/Redet

install:	redet.tcl
		mkdir ${NONBINDIR}
		cp -r Manual ${NONBINDIR}

## redet 8.12

=== Makefile ===
# Obey standard Autotools installation directories
DESTDIR        =
PREFIX         = /usr/local
EPREFIX        = ${PREFIX}
BINDIR         = ${EPREFIX}/bin
SBINDIR        = ${EPREFIX}/sbin
LIBEXECDIR     = ${EPREFIX}/libexec
DATADIR        = ${PREFIX}/share
SYSCONFDIR     = ${PREFIX}/etc
SHAREDSTATEDIR = ${PREFIX}/com
LOCALSTATEDIR  = ${PREFIX}/var
LIBDIR         = ${EPREFIX}/lib
INCLUDEDIR     = ${PREFIX}/include
OLDINCLUDEDIR  = /usr/include
INFODIR        = ${PREFIX}/info
MANDIR         = ${PREFIX}/man
MANSECTION=1
 
 install:	redet.tcl
		install -D redet.tcl ${DESTDIR}${BINDIR}/redet
		install -D -m 0644 redet.${MANSECTION} \
		 ${DESTDIR}${MANDIR}/man${MANSECTION}/redet.${MANSECTION}
		for i in `find Manual/ -type f`; do \
		 install -D $$i ${DESTDIR}${DATADIR}/Redet/$$i; \
		done
 
TAGS:	redet.tcl

=== Manual/Makefile ===
--- 
+++ 
@@ -4,5 +4,5 @@
 NONBINDIR=/usr/share/Redet
 
 install:	redet.tcl
-		mkdir ${NONBINDIR}
+		-mkdir ${NONBINDIR}
 		cp -r Manual ${NONBINDIR}

## redet 8.18

=== Makefile ===
--- 
+++ 
@@ -15,8 +15,35 @@
 INFODIR        = ${PREFIX}/info
 MANDIR         = ${PREFIX}/man
 MANSECTION=1
+
+WISH_NAME = Wish Shell
+WISH_APP = /System/Library/Frameworks/Tk.framework/Resources/$ 
+(WISH_NAME).app/Contents
+REDET_APP = Redet.app/Contents
+macosx_app: redet.tcl
+	install -d "$(REDET_APP)/MacOS"
+	install -p "$(WISH_APP)/MacOS/$(WISH_NAME)" $(REDET_APP)/MacOS/Redet
+	install -d $(REDET_APP)/Resources
+	install -p "$(WISH_APP)/Resources/$(WISH_NAME).rsrc" $(REDET_APP)/ 
+Resources
+	install -d $(REDET_APP)/Resources/Scripts
+	install -p -m0644 redet.tcl $(REDET_APP)/Resources/Scripts/AppMain.tcl
+#	install -m0644 -p Info.plist $(REDET_APP)
+#if you want an App icon
+#	install -m0644 -p *.icns  "$(REDET_APP)/Resources"
+
+macosx_app_clean:
+	-rm -f -- $(REDET_APP)/MacOS/Redet
+	-rmdir -- $(REDET_APP)/MacOS
+	-rm -f -- $(REDET_APP)/Resources/Scripts/AppMain.tcl
+	-rmdir -- $(REDET_APP)/Resources/Scripts
+	-rm -f -- "$(REDET_APP)/Resources/$(WISH_NAME).rsrc"
+	-rmdir -- $(REDET_APP)/Resources/
+	-rmdir -- $(REDET_APP)
+	-rmdir -- Redet.app
+
  
- install:	redet.tcl
+install:	redet.tcl
 		install -D redet.tcl ${DESTDIR}${BINDIR}/redet
 		install -D -m 0644 redet.${MANSECTION} \
 		 ${DESTDIR}${MANDIR}/man${MANSECTION}/redet.${MANSECTION}

## redet 8.23

=== Makefile ===
--- 
+++ 
@@ -17,15 +17,13 @@
 MANSECTION=1
 
 WISH_NAME = Wish Shell
-WISH_APP = /System/Library/Frameworks/Tk.framework/Resources/$ 
-(WISH_NAME).app/Contents
+WISH_APP = /System/Library/Frameworks/Tk.framework/Resources/$(WISH_NAME).app/Contents
 REDET_APP = Redet.app/Contents
 macosx_app: redet.tcl
 	install -d "$(REDET_APP)/MacOS"
 	install -p "$(WISH_APP)/MacOS/$(WISH_NAME)" $(REDET_APP)/MacOS/Redet
 	install -d $(REDET_APP)/Resources
-	install -p "$(WISH_APP)/Resources/$(WISH_NAME).rsrc" $(REDET_APP)/ 
-Resources
+	install -p "$(WISH_APP)/Resources/$(WISH_NAME).rsrc" $(REDET_APP)/Resources
 	install -d $(REDET_APP)/Resources/Scripts
 	install -p -m0644 redet.tcl $(REDET_APP)/Resources/Scripts/AppMain.tcl
 #	install -m0644 -p Info.plist $(REDET_APP)
@@ -47,9 +45,13 @@
 		install -D redet.tcl ${DESTDIR}${BINDIR}/redet
 		install -D -m 0644 redet.${MANSECTION} \
 		 ${DESTDIR}${MANDIR}/man${MANSECTION}/redet.${MANSECTION}
+
+install_manual:
 		for i in `find Manual/ -type f`; do \
 		 install -D $$i ${DESTDIR}${DATADIR}/Redet/$$i; \
 		done
  
 TAGS:	redet.tcl
 
+
+

## redet 8.26

=== Makefile ===
--- 
+++ 
@@ -42,8 +42,8 @@
 
  
 install:	redet.tcl
-		install -D redet.tcl ${DESTDIR}${BINDIR}/redet
-		install -D -m 0644 redet.${MANSECTION} \
+		install -p -D redet.tcl ${DESTDIR}${BINDIR}/redet
+		install -p -D -m 0644 redet.${MANSECTION} \
 		 ${DESTDIR}${MANDIR}/man${MANSECTION}/redet.${MANSECTION}
 
 install_manual:

=== Manual/Makefile ===
# Obey standard Autotools installation directories
DESTDIR        =
PREFIX         = /usr/local
EPREFIX        = ${PREFIX}
DATADIR        = ${PREFIX}/share

install:
		for i in `find Manual/ -type f`; do \
		 install -D $$i ${DESTDIR}${DATADIR}/Redet/$$i; \
		done

=== debian/changelog ===
redet (8.26-3) unstable; urgency=medium

  * d/control: Mark Multi-Arch: foreign to redet and redet-doc.

 -- Emmanuel Arias <eamanu@debian.org>  Thu, 16 Oct 2025 21:34:29 -0300

redet (8.26-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Maintain package in Salvage team
    Closes: #1110121
  * Secure URI in Homepage
  * Secure URI in watch file
  * Migration to source format 3.0 (quilt) was done in 8.26-1.5
    Closes: #1007642
  * d/copyright: DEP5 + review
  * debhelper-compat=13
  * d/rules: short dh
  * Install desktop file in favour of Debian menu file
  * Standards-Version: 4.7.2 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Trim trailing whitespace.

  [ Emmanuel Arias ]
  * d/control: Add myself as Uploaders

 -- Emmanuel Arias <eamanu@debian.org>  Mon, 22 Sep 2025 10:36:40 -0300

redet (8.26-1.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Migrated to DebSrc 3.0. Consequently:
      - Migrated the current patch from dpatch to quilt.
      - Closes: #1005981

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 16 Apr 2022 02:26:50 -0300

redet (8.26-1.4) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Wed, 06 Jan 2021 16:37:50 +0100

redet (8.26-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to the default Tcl/Tk from Tcl/Tk 8.5 which is to be removed from
    Debian (closes: #893086).

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 27 Apr 2018 11:45:23 +0300

redet (8.26-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Bumped DH level to 10. (Closes: #817376)
  * debian/control:
      - Added the ${misc:Depends} variable to Depends field.
      - Bumped Standards-Version to 3.9.8.
  * debian/rules: added targets binary-arch (mandatory) and
    build-arch (recommended).
  * debian/watch: created.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 25 Dec 2016 16:47:52 -0200

redet (8.26-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Switched to Tcl/Tk 8.5 to match changes in itcl3 and itk3 packages.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 02 Sep 2009 19:07:17 +0400

redet (8.26-1) unstable; urgency=low

  * New upstream version.

 -- Bartosz Fenski <fenio@debian.org>  Mon, 02 Feb 2009 22:50:10 +0100

redet (8.24-1) unstable; urgency=low

  * New upstream release.
  * Moved URL to homepage header.
  * Bumped Standards-Version (no changes needed).
  * Reworded debian/copyright file to make lintian happy.
  * Changed documentation section to make lintian happy.

 -- Bartosz Fenski <fenio@debian.org>  Wed, 23 Apr 2008 14:44:10 +0200

redet (8.23-1) unstable; urgency=low

  * New upstream release.
  * Rename Apps to Applications in menu.

 -- Bartosz Fenski <fenio@debian.org>  Sat, 13 Oct 2007 17:33:36 +0200

redet (8.18-1) unstable; urgency=low

  * New upstream release.

 -- Bartosz Fenski <fenio@debian.org>  Fri, 17 Nov 2006 16:28:46 +0100

redet (8.17-1) unstable; urgency=low

  * New upstream release.

 -- Bartosz Fenski <fenio@debian.org>  Sun,  5 Nov 2006 14:51:57 +0100

redet (8.16-1) unstable; urgency=low

  * New upstream version.
  * Bumped Standards-Version (no changes needed).
  * s/Build-Depends-Indep/Build-Depends/.

 -- Bartosz Fenski <fenio@debian.org>  Wed, 20 Sep 2006 00:43:05 +0200

redet (8.14-1) unstable; urgency=low

  * New upstream version.

 -- Bartosz Fenski <fenio@debian.org>  Mon, 31 Jul 2006 13:18:47 +0200

redet (8.12-1) unstable; urgency=low

  * New upstream version.

 -- Bartosz Fenski <fenio@debian.org>  Mon,  3 Jul 2006 23:15:10 +0200

redet (8.11-1) unstable; urgency=low

  * New upstream version.

 -- Bartosz Fenski <fenio@debian.org>  Sat, 27 May 2006 15:19:41 +0200

redet (8.10-1) unstable; urgency=low

  * New upstream release.

 -- Bartosz Fenski <fenio@debian.org>  Tue, 11 Apr 2006 13:35:16 +0200

redet (8.9-1) unstable; urgency=low

  * New upstream release.

 -- Bartosz Fenski <fenio@debian.org>  Thu, 16 Mar 2006 13:56:07 +0100

redet (8.6-1) unstable; urgency=low

  * New upstream version.

 -- Bartosz Fenski <fenio@debian.org>  Thu,  2 Feb 2006 12:40:37 +0100

redet (8.5-1) unstable; urgency=low

  * New upstream version.

 -- Bartosz Fenski <fenio@debian.org>  Sat, 28 Jan 2006 11:33:35 +0100

redet (8.4-1) unstable; urgency=low

  * New upstream version.

 -- Bartosz Fenski <fenio@debian.org>  Wed, 18 Jan 2006 00:28:46 +0100

redet (8.2-1) unstable; urgency=low

  * New upstream version.

 -- Bartosz Fenski <fenio@debian.org>  Wed,  4 Jan 2006 16:18:20 +0100

redet (8.1-1) unstable; urgency=low

  * New upstream version.

 -- Bartosz Fenski <fenio@debian.org>  Mon, 26 Dec 2005 19:41:52 +0100

redet (8.0-1) unstable; urgency=low

  * New upstream version.

 -- Bartosz Fenski <fenio@debian.org>  Wed, 21 Dec 2005 09:34:15 +0100

redet (7.10-1) unstable; urgency=low

  * New upstream version.

 -- Bartosz Fenski <fenio@debian.org>  Thu, 15 Dec 2005 11:03:37 +0100

redet (7.9-1) unstable; urgency=low

  * New upstream release.

 -- Bartosz Fenski <fenio@debian.org>  Tue,  6 Dec 2005 13:44:25 +0100

redet (7.6-1) unstable; urgency=low

  * New upstream version.

 -- Bartosz Fenski <fenio@debian.org>  Mon, 28 Nov 2005 14:44:57 +0100

redet (7.5-1) unstable; urgency=low

  * New upstream version.

 -- Bartosz Fenski <fenio@debian.org>  Sun, 30 Oct 2005 12:24:42 +0100

redet (7.4-1) unstable; urgency=low

  * New upstream version.

 -- Bartosz Fenski <fenio@debian.org>  Fri, 14 Oct 2005 14:52:35 +0200

redet (7.3-1) unstable; urgency=low

  * New upstream version.
  * Added iwidgets4 dependency.

 -- Bartosz Fenski <fenio@debian.org>  Mon, 26 Sep 2005 12:56:21 +0200

redet (7.1-1) unstable; urgency=low

  * New upstream version.

 -- Bartosz Fenski <fenio@debian.org>  Fri,  2 Sep 2005 18:15:59 +0200



=== debian/control ===
Source: redet
Section: x11
Priority: optional
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: Bartosz Fenski <fenio@debian.org>,
           Emmanuel Arias <eamanu@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/salvage-team/redet
Vcs-Git: https://salsa.debian.org/salvage-team/redet.git
Homepage: https://www.billposer.org/Software/redet.html

Package: redet
Architecture: all
Multi-Arch: foreign
Depends: tk, iwidgets4, ${misc:Depends}
Suggests: redet-doc, dillo
Description: regular expression development and execution tool
 Redet allows the user to construct regular expressions and test them against
 input data by executing any of a variety of search programs, editors,
 and programming languages that make use of regular expressions. When a
 suitable regular expression has been constructed it may be saved to a file.
 .
 Redet stands for Regular Expression Development and Execution
 Tool. For each program, a palette showing the available regular expression
 syntax is provided. Selections from the palette may be copied to the
 regular expression window with a mouse click. Users may add their own
 definitions to the palette via their initialization file.
 Redet also keeps a list of the regular expressions executed, from which
 entries may be copied back into the regular expression under construction.
 The history list is saved to a file and restored on startup, so it
 persists across sessions.
 .
 So long as the underlying program supports Unicode, Redet allows UTF-8
 Unicode in both test data and regular expressions.

Package: redet-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Suggests: redet
Depends: ${misc:Depends}
Description: regular expression development and execution tool (documentation)
 Documentation for the Redet (regular expression development and execution
 tool.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	echo "There is nothing to build"

override_dh_auto_install:
	cp -a redet.tcl debian/redet/usr/bin/redet

=== debian/watch ===
version=4

https://www.billposer.org/Software/redet.html .*/Downloads/redet-full-(\d\S+)\.tar\.(?:bz2|gz|xz)
